<nav>
    <div class="menu-list">
        <ul class="menu-content">
            @for (menu of menusData; track $index) {
            <li [ngClass]="{'active':activePath===menu.path}" (click)="navigateTo(menu)">
                <a>
                    <div class="menu-icon">
                        <i class="{menu.icon}"></i>
                    </div>
                    <div class="menu-name">
                        {{ menu.name }}
                    </div>
                </a>
            </li>
            }
        </ul>
    </div>
</nav>